@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=DotGothic16&family=Kaushan+Script&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Noto+Sans:wght@400;700&family=Oswald:wght@200..700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Work+Sans:ital,wght@0,100;0,300;0,500;1,800&display=swap');


:root {
    --color-primary: #005CA5;
    --color-secundary: #419eeb;
}

body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}


/*Header*/

.navbar {
    justify-content: space-between;
}

.navbar-nav {
    margin: 0 auto;
}

.icones {
    display: flex;
    align-items: center;

}

.icones i {
    font-size: 1.5rem;
    margin-left: 15px;
    cursor: pointer;
}

/*tela de telefone*/
@media (max-width: 767.98px) {
    .icones {
        display: none;
    }

    #texto-dev {
        font-size: 20px;
    }

    .titulo-dev {

        padding: 20px;
    }

    .box-dev {
        width: 100%;
        margin: 0;
        text-align: center;

        #conteudo-dev {
            width: 100%;
            margin: 0;
        }

        img {
            margin: auto;
        }
    }

    #conteudo-dev {
        margin-left: 0;
        padding: 2rem;
    }

}


/*Sessão 1 - carrosel*/

/* Estilos para o fundo escurecido */
#home {
    position: relative;
    background-image: url('img/img-header.jpg');
    height: 800px;
    background-size: cover;
    display: flex;
    align-items: center;
}

#home::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    /* Fundo escuro com 50% de opacidade */
    z-index: 1;
}

/* Garantir que o conteúdo esteja sobre a sobreposição */
#home .container {
    position: relative;
    z-index: 2;
}

/* Ajustes de estilo para o conteúdo */
.capa h1,
.capa a {
    color: white;
}

/* Estilos para mover os botões de controle para os lados */
.carousel-control-prev,
.carousel-control-next {
    width: 5%;
}

/*FIM DO ESTILO*/

.cor-primaria {
    color: var(--color-primary);
    text-shadow: 1px 2px 3px white;
}

.cor-secundary {
    font-weight: 600;
    background: linear-gradient(45deg, #005CA5, #419eeb, #8db7da);
    background-size: 400% 100%;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    animation: gradientAnimation 10s linear infinite alternate;
}

@keyframes gradientAnimation {
    0% {
        background-position-x: 0%;
      
    }

    100% {
        background-position: 400%;

    }
}

/*Sessão 2 - sobre*/
#sec-2 {
    width: 100%;
    flex-wrap: wrap;


    h1 {
        margin-top: 100px;
    }
}

#box-sobre {

    margin-top: 120px;
    flex-wrap: wrap;
}

#box-sobre-left {
    width: 50%;
    flex-wrap: wrap;
    margin-left: 1.5rem;


    h2 {
        color: var(--color-primary);
        text-align: center;
        font-size: 3rem;
    }



    p {
        font-size: 1.1rem;
        margin-top: 30px;
    }
}

#imagem-sobre {
    width: 600px;
    height: 380px;
    border-radius: 15px;
}

/*Sessão 3 - serviços*/
.sec-3 {
    margin-top: 100px;
    margin-bottom: 50px;
    background-color: #005CA5;
    padding: 20px;


    h1 {
        margin-bottom: 80px;
        color: white;
    }
}

.card {
    box-shadow: 1px 2px 5px rgba(0, 0, 0, 0.288);
}

/* Sessão delivery */
.sec-dev {
    display: block;
    margin: auto;
    width: 100%;
    flex-wrap: wrap;

    h2 {
        margin-top: 5rem;
        margin-bottom: 3rem;
        font-family: "Roboto", system-ui;
    }

    h3 {
        font-family: "Oswald", system-ui;
        font-size: 34px;
    }

    p {
        font-family: "Roboto", system-ui;
        font-size: 18px;
    }

}

.box-dev {
    margin-bottom: 10rem;
    margin-left: 0px;

}

#conteudo-dev {
    padding: 4rem;
    width: 50%;
}

/*Sessão 4 - projetos*/

.cartao-projetos:hover {
    transform: scale(1.05);
    box-shadow: 1px 2px 5px rgba(0, 0, 0, 0.288);
}

/*footer*/

footer {
    box-shadow: 0px 0px 10px 5px rgba(0, 0, 0, 0.459);
    background-color: rgba(128, 128, 128, 0.178);

    width: 100%;
}

.box-footer {
    display: flex;
    align-items: center;
    justify-content: space-around;
    margin-top: 100px;
    padding: 30px;
    flex-wrap: wrap;



    div h4 {
        color: rgba(43, 43, 43, 0.562);
        margin-left: 40px;
    }

    div ul {
        list-style: none;
        margin-top: 20px;

    }

    div li {
        margin: 10px;
        cursor: pointer;
    }

    div li a {
        margin: 10px;
        cursor: pointer;
        color: black;
    }

    div li:hover {
        text-decoration: underline;
    }
}

#titulo-footer {


    span {
        color: #132391e1;
    }
}

.icones-rs {
    font-size: 22px;
    text-align: end;
    flex-wrap: wrap;


}

.icones-rs a {
    background-color: transparent;
    color: transparent;
    margin: 10px;
}

.icones-rs i:hover {
    color: black;

}


.modal-body {
    text-align: center;
    font-size: 16px;
    line-height: 30px;
}

.modal-body p {
    line-height: 30px;
    margin-top: 10px;
}

.modal-body span {
    font-weight: 800;
    font-size: 25;
}

.footer-copy {
    color: rgba(255, 255, 255, 0.623);
    padding: 20px;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin-top: 10px;
    background-color: #414040;
    display: flex;
    height: 70px;
    flex-wrap: wrap;
}


@media (max-width: 1199.98px) {
    .icones {
        display: none;
    }

    .box-dev {
        flex-wrap: wrap;
    }

    #conteudo-dev {
        padding: 4rem;
        width: 80%;
    }
}



/*Ultilitários*/
.btn-oficial {
    background-color: #005CA5;
    border: none;


}

/*.zeroBorda {
    box-shadow: none;
    border: none;
}*/
h2 {
    font-size: 35px;
}